#include <bits/stdc++.h>
using namespace std;
struct lujing{
	int type,s,s1,s2;
};
struct card{
	int type,num;
};
struct pos{
	card son,fa;
};
int T,n,m,k,tmp,card,point,h[305],t[305],count[605];
lujing step[2000005];
queue<int> c;
int main()
{	
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);  
	scanf("%d",&T);    
	for(int z=1;z<=T;z++)
	{
		scanf("%d %d %d",&n,&m,&k);
		for(int i=1;i<=m;i++)
		{
			scanf("%d",tmp);
			c.push(tmp);	
		}
	}
	return 0;
} 